[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomRadioGroup.Buttons

Provides indexed access to the radio buttons on the group box control.

## Declaration

Source position: extctrls.pp line 773

`public property TCustomRadioGroup.Buttons[Index: Integer] : TRadioButton read GetButton;`

## Description

Buttons is a TRadioButton property which allows access to a radio button on the group box by its ordinal position in Items.

Use ItemIndex to get the currently selected radio button on the group box.

For example:

    AChecked := (AGroupBox.ItemIndex <> -1) and
      AGroupBox.Buttons[AGroupBox.ItemIndex].Checked;

## Version info

Added in LCL version 4.0.

## See also

TCustomRadioGroup.ItemIndex |  | The ordinal position in Items for the selected radio button in the group.
TCustomRadioGroup.Items |  | Contains the captions for the radio button displayed in the control.
TRadioButton |  | Implement a radio button control.